跳转至

环境

无论你是想向 RSSerpent 核心、或是任一 RSSerpent 官方/社区插件做贡献,你都需要阅读并依从本文档的指示,来搭建一个开发环境。

Python

compatible python versions

RSSerpent 使用 Python 编程语言编写。因此,你需要在你的系统上安装 Python 才能运行 RSSerpent。最通用的 Python 安装方式就是到 Python 官方下载页面去下载一个安装包。当然,你也可以通过包管理器来安装:

# Arch
sudo pacman -S python
# Debian/Ubuntu
sudo apt update
sudo apt install python3 python3-pip
# Homebrew
brew install python
# MacPorts
sudo port selfupdate
sudo port install python
# Chocolatey
choco install python
# Scoop
scoop install python

Note

如果你需要在系统上安装多个 Python 版本,请考虑使用 pyenv

Note

如果你使用 Windows 系统,你还需要设置环境变量 PYTHONIOENCODING=utf8

成功安装以后,你需要运行 python -V(或者 python3 -V)来确认 Python 的版本。这是因为有些包管理器默认安装的 Python 版本不一定受 RSSerpent 支持。如遇此种情况,请参考包管理器的相关文档来安装受 RSSerpent 支持的 Python 版本。

Note

请确保你的系统上也安装了 git

Poetry

Poetry 是一个现代化的 Python 打包和依赖管理工具,RSSerpent 目前使用 Poetry 来管理项目依赖。请使用如下命令安装 Poetry:

curl -sSL https://raw.githubusercontent.com/python-poetry/poetry/master/install-poetry.py | python -
(Invoke-WebRequest -Uri https://raw.githubusercontent.com/python-poetry/poetry/master/install-poetry.py -UseBasicParsing).Content | python -

接下来…

  • 如果你想要向 RSSerpent 核心、或者任一已有的 RSSerpent 插件做贡献,请参考核心
  • 如果你想要新建一个 RSSerpent 插件项目,请参考插件
  • 如果你想在经济上支持 RSSerpent 项目,请移步 Open Collective爱发电

最后更新: 2022-03-18
回到页面顶部